Foreman - Bug #25656

Foreman redirects to logout page
12/10/2018 01:31 PM - Patrick Thyen

Status: Closed
Priority: Normal
Assignee: Gilad Lekner
Category: Web Interface
Target version:
Difficulty: Fixed in Releases: 1.22.0
Triaged: No Found in Releases: 1.20.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6650
Description
Hi there!

| just upgraded Foreman to 1.20.0 and Katello to 3.9.
When | want to logout, | get redirected, if I'm sure to logout.

. FOREMAN Any Organization ~ Any Location ~

Are you sure you want to log out?

Yes
structure
Administer
Related issues:
Related to Foreman - Task #23448: react implementation for navigation bar Closed

Associated revisions

Revision ef73d68c - 05/02/2019 01:14 PM - Gilad Lekner

Fixes #25656 - Foreman redirects to logout page
History

#1 - 12/10/2018 01:33 PM - Patrick Thyen
- Found in Releases 1.20.0 added

#2 - 12/10/2018 01:35 PM - Tomer Brisker
- Category set to Web Interface

- Assignee set to Gilad Lekner

Looks like the layout refactoring caused the link, which used to send a "post" action, to now use a "get" action that leads to the confirmation page

(which it shouldn't).

#3 - 12/10/2018 01:37 PM - Tomer Brisker

- Related to Task #23448: react implementation for navigation bar added

#4 - 02/18/2019 06:04 PM - Marek Hulan

Before we decide how to fix it, IIRC that flow was required for some SSO flow. So it would be good to restore the logout link behavior.

#5 - 04/04/2019 03:12 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6650 added

#6 - 05/02/2019 01:14 PM - Ohad Levy
- Target version set to 1.23.0

- Fixed in Releases 1.23.0 added

#7 - 05/02/2019 02:02 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset ef73d68cbdf4d230a0dee96ffeeddffd63d9f5da.

#8 - 05/04/2019 01:25 AM - Tomer Brisker
- Target version deleted (1.23.0)

- Fixed in Releases 1.22.0 added

- Fixed in Releases deleted (1.23.0)
